> For the complete documentation index, see [llms.txt](https://docs.cloudfabrix.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cloudfabrix.io/rda/rda-userguide/rda-aiops-studio/examples-jupyter/data-mapping-cfxdm-dm-functions/minutes_between.md).

# Minutes\_Between

**Minutes\_between**

The number of minutes between two date-time strings. If only one is specified, it compares the difference between it and the current timestamp.

### Example 1:&#x20;

Step 1: Create an empty **minutes\_between\_example\_1** using AIOps studio as shown in the below screenshot. 

![Empty pipeline ](/files/-MeO79SJvhcHSLnf6m-8)

Step 2: Add the following pipeline code/commands into the above-created pipeline as shown in the below screenshot:

You can copy the below code into your pipeline and execute that in your environment.\
\
\&#xNAN;*`##### This pipeline creates a simple time fields time1 and time2 with two distinctive`*\
*`##### values as a dataset.`* \
*`##### Pipeline uses RDA dm function minutes_between to calculate minutes between two`*\
*`##### timestamps and prints the value. In addition, RDA dm function ts_to_datetimestr`*\
*`##### is used to convert the the time difference into string (other units are ms,ns,`* \
*`##### excel_date)`*\
\
\
*`@dm:empty`* \
*`--> @dm:addrow time1 = 1623193065990 & time2 = 1623193085990`*\
*`--> @dm:map to = 'Change_In_Minutes' & from = 'time1,time2' & func = 'minutes_between'`*\
*`--> @dm:map attr = 'Change_In_Minutes' & func = 'ts_to_datetimestr' & unit = 's'`*<br>

![Pipeline code added to empty pipeline created](/files/-MeOAnkafMsMosQAR_ZQ)

Step 3: Click verify button to make sure syntax and pipeline code is correct (as shown below)

![Pipeline code is verified using 'Verify' button as shown above.](/files/-MeOB_70IezC4P0XSJB3)

Step 4:  Click execute button and execute the pipeline. RDA will execute the pipeline without any errors (as shown below)

![Successful execution of pipeline without any errors](/files/-MeOC1q3g-IYkNdvpGS2)

Step 5: RDA uses the dm function minutes\_between  to calculate the difference between two timestamps and presents the output as shown below screenshot. \
Note: In addition to the above dm function, the pipeline also uses ts\_to\_datetimestr to convert the timestamp value to a string.

![Successful execution of pipeline using dm function 'minutes\_between' between two times and prints output](/files/-MeODJjfKRHrnHluaAJr)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.cloudfabrix.io/rda/rda-userguide/rda-aiops-studio/examples-jupyter/data-mapping-cfxdm-dm-functions/minutes_between.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
